=== debian/changelog ===
lime (5.2.0+dfsg-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:23:00 +0000

lime (5.2.0+dfsg-3build1) noble; urgency=medium

  * No-change rebuild against libbctoolbox1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 03:00:46 +0000

lime (5.2.0+dfsg-3) unstable; urgency=medium

  * Release to unstable.

 -- Bernhard Schmidt <berni@debian.org>  Fri, 28 Jul 2023 22:51:16 +0200

lime (5.2.0+dfsg-2) experimental; urgency=medium

  * Add cherry-picked upstream patch to build with GCC 13 (Closes: #1037753).

 -- Dennis Filder <d.filder@web.de>  Sat, 15 Jul 2023 20:34:35 +0200

lime (5.2.0+dfsg-1) experimental; urgency=medium

  * New upstream version 5.2.0
  * Comply with Debian policy v4.6.2.

 -- Dennis Filder <d.filder@web.de>  Mon, 19 Dec 2022 18:17:07 +0100
