=== debian/control ===
Source: lime
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Bernhard Schmidt <berni@debian.org>
Build-Depends: cmake,
 debhelper-compat (= 13),
 default-jdk (>= 2:1.7) <!nojava>,
 javahelper <!nojava>,
Build-Depends-Arch:
 libbctoolbox-dev (>= 5.2.0~),
 libsoci-dev,
 libsqlite3-dev,
 libboost1.74-dev,
Build-Depends-Indep:
 doxygen <!nodoc>,
 libregexp-assemble-perl <!nodoc>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Section: libs
Homepage: http://www.linphone.org/technical-corner/lime
Vcs-Browser: https://salsa.debian.org/pkg-voip-team/linphone-stack/lime
Vcs-Git: https://salsa.debian.org/pkg-voip-team/linphone-stack/lime.git

Package: liblime-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: liblime0 (= ${binary:Version}), ${misc:Depends}
Description: End-to-end encryption library featuring ECC and PFS
 LIME is an end-to-end encryption library for one-to-one and group
 instant messaging, allowing users to exchange messages privately and
 asynchronously. It uses Curve448-Goldilocks for key agreement and
 employs a double ratchet algorithm for perfect forward secrecy.
 .
 LIME is composed of a portable client library coupled with a public
 key server developed by Belledonne Communications to allow end-to-end
 encryption for messaging, without having to exchange cryptographic
 keys simultaneously.
 .
 The library exposes a C, C++ and Java API for easy integration in
 mobile and desktop environments.
 .
 This package contains everything needed to build software written
 against LIME.

Package: liblime0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: End-to-end encryption library featuring ECC and PFS
 LIME is an end-to-end encryption library for one-to-one and group
 instant messaging, allowing users to exchange messages privately and
 asynchronously. It uses Curve448-Goldilocks for key agreement and
 employs a double ratchet algorithm for perfect forward secrecy.
 .
 LIME is composed of a portable client library coupled with a public
 key server developed by Belledonne Communications to allow end-to-end
 encryption for messaging, without having to exchange cryptographic
 keys simultaneously.
 .
 The library exposes a C, C++ and Java API for easy integration in
 mobile and desktop environments.
 .
 This package contains the run-time shared library.

Package: liblime-doc
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Depends: ${misc:Depends}
Description: End-to-end encryption library featuring ECC and PFS
 LIME is an end-to-end encryption library for one-to-one and group
 instant messaging, allowing users to exchange messages privately and
 asynchronously. It uses Curve448-Goldilocks for key agreement and
 employs a double ratchet algorithm for perfect forward secrecy.
 .
 LIME is composed of a portable client library coupled with a public
 key server developed by Belledonne Communications to allow end-to-end
 encryption for messaging, without having to exchange cryptographic
 keys simultaneously.
 .
 The library exposes a C, C++ and Java API for easy integration in
 mobile and desktop environments.
 .
 This package contains the developer documentation.

Package: liblime-java
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!nojava>
Depends: liblime0 (>= ${binary:Version}), ${misc:Depends}
Description: End-to-end encryption library featuring ECC and PFS
 LIME is an end-to-end encryption library for one-to-one and group
 instant messaging, allowing users to exchange messages privately and
 asynchronously. It uses Curve448-Goldilocks for key agreement and
 employs a double ratchet algorithm for perfect forward secrecy.
 .
 LIME is composed of a portable client library coupled with a public
 key server developed by Belledonne Communications to allow end-to-end
 encryption for messaging, without having to exchange cryptographic
 keys simultaneously.
 .
 The library exposes a C, C++ and Java API for easy integration in
 mobile and desktop environments.
 .
 This package contains the Java wrapper.
